Main Page Groups Namespaces

# sigc::signal<T_return> Class Template Reference

Convenience wrapper for the numbered sigc::signal0 template. More...

Inheritance diagram for sigc::signal< T_return >:

[legend]
List of all members.

## Public Member Functions

| signal ()
| signal (const signal& src)

## Detailed Description

### template <class T_return>
class sigc::signal< T_return >

Convenience wrapper for the numbered sigc::signal0 template.

See the base class for useful methods. This is the template specialization of the unnumbered sigc::signal template for 0 argument(s).

## Member Function Documentation

template <class T_return>
sigc::signal<T_return>::signal | ( | const signal<T_return>& | src | ) | `[inline]`

template <class T_return>
sigc::signal<T_return>::signal | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- signal.h